Update a payment categorization ruleCopy Pageput https://api.instellix.io/v2/merchant-payment-accounts/{merchantPaymentAccountIdent}/payment-transaction-categorization-rules/{categorizationRuleIdent}Update a new payment categorization rule for a specific merchant payment accountPath ParamsmerchantPaymentAccountIdentstringrequiredMerchant payment account ident. Must not be null.categorizationRuleIdentstringrequiredCategorization rule ident. Must not be null.Body ParamsUpdates JSONata rules to map a Settlement to the correct transaction category used for automatic assignment.descriptionstring | nullDescription of the rule.jsonataExpressionstringrequiredlength between 1 and 512JSONata rule. Must return a Boolean value when applied to a PaymentDto. If the result is TRUE this rule is applied. Must not be blank. Size must be between 1 and 512.priorityint32required> 0Priority of application. Lower number will be processed earlier. First match will be applied. Must not be null. Must be greater than 0.resultingPaymentCategoryNamestringrequiredlength ≥ 1Name of an existing payment category. See payment categories endpoint. Must not be blank.Responses 200Standard response for successful HTTP requests. 4XXerror response for all http error codes in range 4XX 5XXerror response for all http error codes in range 5XXUpdated 27 days ago